import { type InstallCommandOptions } from './install';
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare const commandNames: string[];
export declare function help(): string;
export type AddCommandOptions = InstallCommandOptions & {
    allowBuild?: string[];
    allowNew?: boolean;
    ignoreWorkspaceRootCheck?: boolean;
    save?: boolean;
    update?: boolean;
    useBetaCli?: boolean;
    workspaceRoot?: boolean;
    config?: boolean;
};
export declare function handler(opts: AddCommandOptions, params: string[]): Promise<void>;
