"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.commandNames = exports.shorthands = exports.cliOptionsTypes = exports.rcOptionsTypes = void 0;
exports.help = help;
exports.handler = handler;
const cli_utils_1 = require("@pnpm/cli-utils");
const error_1 = require("@pnpm/error");
const render_help_1 = __importDefault(require("render-help"));
const rcOptionsTypes = () => ({});
exports.rcOptionsTypes = rcOptionsTypes;
const cliOptionsTypes = () => ({});
exports.cliOptionsTypes = cliOptionsTypes;
exports.shorthands = {};
exports.commandNames = ['ci', 'clean-install', 'ic', 'install-clean'];
function help() {
    return (0, render_help_1.default)({
        aliases: ['clean-install', 'ic', 'install-clean'],
        description: 'Clean install a project',
        descriptionLists: [],
        url: (0, cli_utils_1.docsUrl)('ci'),
        usages: ['pnpm ci'],
    });
}
async function handler(opts) {
    throw new error_1.PnpmError('CI_NOT_IMPLEMENTED', 'The ci command is not implemented yet');
}
//# sourceMappingURL=ci.js.map